Bug 1989889 - UI crashes when accessing create new operand page
Summary: UI crashes when accessing create new operand page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Rastislav Wagner
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-04 09:49 UTC by Rastislav Wagner
Modified: 2021-10-18 17:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:44:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9711 0 None None None 2021-08-04 09:50:23 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:44:43 UTC

Description Rastislav Wagner 2021-08-04 09:49:17 UTC
How reproducible:
always

Steps to Reproduce:
1. install operator (tested with Cruchy PostgreSQL for Openshift) which brings some CRDs
2. while operator is being installed and still didnt register CRDs try accessing new create operand page from dev console -> +add -> operator backed -> choose any of the CRDs from the operator
3. UI crashes (white screen)

Actual results:
UI crashes

Expected results:
UI should show 404 page saying that the resource does not exist

Comment 2 Yanping Zhang 2021-08-09 01:32:53 UTC
Checked on ocp 4.9 cluster with payload 4.9.0-0.nightly-2021-08-07-175228.
Install Cruchy PostgreSQL for Openshift operator, while operator is being installed and still doesn't register CRDs try accessing new create operand page from dev console -> +add -> operator backed -> choose any of the CRDs from the operator, click "Create", it shows "404: Page Not Found".
The bug is fixed.

Comment 5 errata-xmlrpc 2021-10-18 17:44:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.